Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.run.xml
Class SimpleElement.ElementIterator

`java.lang.Object
com.tangosol.run.xml.SimpleElement.ElementIterator`

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  SimpleElement

      protected class SimpleElement.ElementIterator

extends java.lang.Object
implements java.util.Iterator

Provides an Iterator implementation that exposes only those Elements from the Element list that match a certain name.

Field Summary
`protected static int` | `FOUND`
`protected XmlElement` | `m_element`
`protected java.util.Iterator` | `m_iterator`
`protected int` | `m_nState`
`protected java.lang.String` | `m_sName`
`protected static int` | `REMOVED`
`protected static int` | `RETURNED`

Constructor Summary
`SimpleElement.ElementIterator(java.lang.String sName)`

Method Summary
`boolean` | `hasNext()` Returns `true` if the iteration has more elements.
`java.lang.Object` | `next()` Returns the next element in the iteration.
`void` | `remove()` Removes from the underlying collection the last element returned by the iterator (optional operation).

Field Detail

### m_sName

    protected java.lang.String m_sName

### m_iterator

    protected java.util.Iterator m_iterator

### m_element

    protected XmlElement m_element

### m_nState

    protected int m_nState

### FOUND

    protected static final int FOUND

  See Also:
    Constant Field Values

### RETURNED

    protected static final int RETURNED

  See Also:
    Constant Field Values

### REMOVED

    protected static final int REMOVED

  See Also:
    Constant Field Values

Constructor Detail

### SimpleElement.ElementIterator

    public SimpleElement.ElementIterator(java.lang.String sName)

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `java.util.Iterator`
  Returns `true` if the iteration has more elements. (In other words, returns `true` if `next` would return an element rather than throwing an exception.)
  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    `true` if the iterator has more elements.

### next

    public java.lang.Object next()

  Description copied from interface: `java.util.Iterator`
  Returns the next element in the iteration. Calling this method repeatedly until the `Iterator.hasNext()` method returns false will return each element in the underlying collection exactly once.
  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the next element in the iteration.

### remove

    public void remove()

  Description copied from interface: `java.util.Iterator`
  Removes from the underlying collection the last element returned by the iterator (optional operation). This method can be called only once per call to `next`. The behavior of an iterator is unspecified if the underlying collection is modified while the iteration is in progress in any way other than by calling this method.
  Specified by:
    `remove` in interface `java.util.Iterator`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.